Subject: bug#71656: secondary selection and mouse-drag-secondary-pasting is broken in 29.3 under wayland

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Jun 2024 07:36:34 +0300

> From: John Heidemann <[email-masked]>
> Date: Wed, 19 Jun 2024 12:33:04 -0700
> 
> Since Fedora 40 and emacs-29.3, mouse-drag-secondary-pasting has thrown
> the error "Could not assert ownership over selection: SECONDARY".
> 
> This is in a default Fedora 40 install with the emacs-29.3-6.fc40.x86_64
> package, running under Wayland.  I think F40 started using native
> wayland and gtk, which perhaps lost support for secondary selections?
> 
> 
> To reproduce:
> 
> start emacs -q
> 
> In *scratch* run:
> 
> (require 'mouse-copy)
> (global-set-key [M-down-mouse-1] 'mouse-drag-secondary-pasting)
> 
> Then hold down meta and right click and drag over a word.
> 
> Expected behavior:
> 
> The text you drag over should be copied to the current location.
> 
> Actual behavior:
> error "Could not assert ownership over selection: SECONDARY"
> and no copying happens.
> 
> 
> I was the original author of mouse-copy.el and I miss its easy
> plan-9-like copy what I just moused over.
> 
> I'm happy to patch its code, but I'd like to know what changed so I can
> know what I need to work around.
> 
> 
> Thanks for any pointers,

Thanks.  Po Lu, can you please look into and fix this, or help John
fix it?